## trac-ja-resource 1.0.ja1

=== Makefile ===
# == Makefile for Trac related tasks (beyond those supported by setuptools) ==
#
# Automating testing, i18n tasks, documentation generation, ... see HELP below
# ----------------------------------------------------------------------------
#
# Note about customization:
#   No changes to the present Makefile should be necessary,
#   rather copy Makefile.cfg.sample to Makefile.cfg and adapt it
#   to match your local environment.
#
# Note that this is a GNU Makefile, nmake and other abominations are
# not supported.
#
# ============================================================================

define HELP

 Please use `make <target>' where <target> is one of:

  clean               delete all compiled files
  status              show which Python is used and other infos

  [python=...]        variable for selecting Python version

 ---------------- Testing tasks

  unit-test           run unit tests
  functional-test     run functional tests
  test-wiki           shortcut for running all wiki unit tests
  test                run all tests
  coverage            run all tests, under coverage
  figleaf             run all tests, under figleaf

  [db=...]            variable for selecting database backend
  [test=...]          variable for selecting a single test file
  [testopts=...]      variable containing extra options for running tests
  [coverageopts=...]  variable containing extra options for coverage

 ---------------- Code checking tasks

  pylint              check code with pylint

 ---------------- Standalone test server

  server              start tracd

  [port=...]          variable for selecting the port
  [auth=...]          variable for specifying authentication
  [env=...]           variable for the trac environment or parent dir
  [tracdopts=...]     variable containing extra options for tracd

 ---------------- L10N tasks

  init-xy             create catalogs for given xy locale

  extraction          regenerate the catalog templates

  update              update all the catalog files from the templates
  update-xy           update the catalogs for the xy locale only

  compile             compile all the catalog files
  compile-xy          compile the catalogs for the xy locale only

  check               verify all the catalog files
  check-xy            verify the catalogs for the xy locale only

  stats               detailed translation statistics for all catalogs
  stats-pot           total messages in the catalog templates
  stats-xy            translated, fuzzy, untranslated for the xy locale only

  summary             display percent translated for all catalogs
  summary-xy          display percent translated for the xy locale only
                      (suitable for a commit message)

  diff                show relevant changes after an update for all catalogs
  diff-xy             show relevant changes after an update for the xy locale

  [locale=...]        variable for selecting a set of locales

 ---------------- Documentation tasks

  apidoc|sphinx       generate the Sphinx documentation (all specified formats)
  apidoc-html         generate the Sphinx documentation in HTML format
  apidoc-pdf          generate the Sphinx documentation in PDF format
  apidoc-check        check for missing symbols in Sphinx documentation

  apiref|epydoc       generate the full API reference using Epydoc

  [sphinxformat=...]  list of formats for generated documentation
  [sphinxopts=...]    variable containing extra options for Sphinx
  [sphinxopts-html=...] variable containing extra options used for html format
  [epydocopts=...]    variable containing extra options for Epydoc
  [dotpath=/.../dot]  path to Graphviz dot program (not used yet)

endef
export HELP

# ` (keep emacs font-lock happy)

define HELP_CFG
 It looks like you don't have a Makefile.cfg file yet.
 You can get started by doing `cp Makefile.cfg.sample Makefile.cfg'
 and then adapt it to your environment.
endef
export HELP_CFG

# ============================================================================

# ----------------------------------------------------------------------------
#
# Main targets
#
# ----------------------------------------------------------------------------

.PHONY: all help status clean clean-bytecode clean-mo

ifdef test
all: status
	python $(test) $(testopts)
else
all: help
endif

help: Makefile.cfg
	@echo "$$HELP"


Makefile.cfg:
	@echo "$$HELP_CFG"

status:
	@echo -n "Python version: "
	@python -V
	@echo -n "figleaf: "
	@-which figleaf 2>/dev/null || echo
	@echo -n "coverage: "
	@-which coverage 2>/dev/null || echo
	@echo "PYTHONPATH=$$PYTHONPATH"
	@echo "TRAC_TEST_DB_URI=$$TRAC_TEST_DB_URI"
	@echo "server-options=$(server-options)"

Trac.egg-info: status
	python setup.py egg_info

clean: clean-bytecode clean-figleaf clean-coverage clean-doc

clean-bytecode:
	find -name \*.py[co] -exec rm {} \;

Makefile: ;

# ----------------------------------------------------------------------------
#
-include Makefile.cfg
#
# ----------------------------------------------------------------------------


# ----------------------------------------------------------------------------
#
# L10N related tasks
#
# ----------------------------------------------------------------------------

catalogs = messages messages-js tracini

ifdef locale
    locales = $(locale)
else
    locales = $(wildcard trac/locale/*/LC_MESSAGES/messages.po)
    locales := $(subst trac/locale/,,$(locales))
    locales := $(subst /LC_MESSAGES/messages.po,,$(locales))
    locales := $(sort $(locales))
endif

# Note: variables only valid within a $(foreach catalog,...) evaluation
catalog.po = trac/locale/$(*)/LC_MESSAGES/$(catalog).po
catalog.pot = trac/locale/$(catalog).pot
catalog_stripped = $(subst messages,,$(subst -,,$(catalog)))
_catalog = $(if $(catalog_stripped),_)$(catalog_stripped)

.PHONY: extract extraction update compile check stats summary diff

init-%:
	@$(foreach catalog,$(catalogs), \
	    [ -e $(catalog.po) ] \
	    && echo "$(catalog.po) already exists" \
	    || python setup.py init_catalog$(_catalog) -l $(*);)

extract extraction:
	python setup.py $(foreach catalog,$(catalogs),\
	    extract_messages$(_catalog))

update-%:
	python setup.py $(foreach catalog,$(catalogs), \
	    update_catalog$(_catalog) -l $(*))

ifdef locale
update: $(addprefix update-,$(locale))
else
update:
	python setup.py $(foreach catalog,$(catalogs), \
	    update_catalog$(_catalog))
endif

compile-%:
	python setup.py $(foreach catalog,$(catalogs), \
	    compile_catalog$(_catalog) -l $(*)) \
	    generate_messages_js -l $(*)

ifdef locale
compile: $(addprefix compile-,$(locale))
else
compile:
	python setup.py $(foreach catalog,$(catalogs), \
	    compile_catalog$(_catalog))
endif

check: pre-check $(addprefix check-,$(locales))
	@echo "All catalogs checked are OK"

pre-check:
	@echo "checking catalogs for $(locales)..."

check-%:
	@echo -n "$(@): "
	python setup.py $(foreach catalog,$(catalogs), \
	    check_catalog$(_catalog) -l $(*))

stats: pre-stats $(addprefix stats-,$(locales))

pre-stats: stats-pot
	@echo "translation statistics for $(locales)..."

stats-pot:
	@echo "translation statistics for catalog templates:"
	@$(foreach catalog,$(catalogs), \
	    echo -n "$(catalog.pot): "; \
	    msgfmt --statistics $(catalog.pot);)
	@rm -f messages.mo

stats-%:
	@$(foreach catalog,$(catalogs), \
	    [ -e $(catalog.po) ] \
	    && { echo -n "$(catalog.po): "; \
	         msgfmt --statistics $(catalog.po); } \
	    || echo "$(catalog.po) doesn't exist (make init-$(*))";)
	@rm -f messages.mo

summary: $(addprefix summary-,$(locales))

define untranslated-sh
LC_ALL=C msgfmt --statistics $(catalog.pot) 2>&1 \
  | tail -1 \
  | sed -e 's/0 translated messages, \([0-9]*\) un.*/\1/'
endef

define translated-sh
{ LC_ALL=C msgfmt --statistics $(catalog.po) 2>&1 || echo 0; } \
    | tail -1 \
    | sed -e 's/[^0-9]*\([0-9]*\) translated.*/\1/'
endef

MESSAGES_TOTAL = \
    $(eval MESSAGES_TOTAL := ($(foreach catalog,$(catalogs), \
                                  $(shell $(untranslated-sh)) + ) 0)) \
    $(MESSAGES_TOTAL)

summary-%:
	@python -c "print 'l10n/$(*): translations updated (%d%%)' \
	    % (($(foreach catalog,$(catalogs), \
	          $(shell $(translated-sh)) + ) 0) * 100.0 \
	       / $(MESSAGES_TOTAL))"
	@rm -f messages.mo

diff: $(addprefix diff-,$(locales))


diff-%:
	@svn diff trac/locale/$(*) \
	    | grep -Ev '^([-+]#:|[@ ])' | grep -E '^[-+@]' || true

clean-mo:
	find trac/locale -name \*.mo -exec rm {} \;
	find trac/htdocs/js/messages -name \*.js -exec rm {} \;


# ----------------------------------------------------------------------------
#
# Testing related tasks
#
# ----------------------------------------------------------------------------

.PHONY: test unit-test functional-test test-wiki

test: unit-test functional-test

unit-test: Trac.egg-info
	python ./trac/test.py --skip-functional-tests $(testopts)

functional-test: Trac.egg-info
	python trac/tests/functional/__init__.py -v $(testopts)

test-wiki:
	python trac/tests/allwiki.py $(testopts)

# ----------------------------------------------------------------------------
#
# Code checking tasks
#
# ----------------------------------------------------------------------------

.PHONY: pylint

pylint:
	pylint \
	    --include-ids=y --persistent=n --comment=n --init-import=y \
	    --disable=E0102,E0211,E0213,E0602,E0611,E1002,E1101,E1102,E1103 \
	    --disable=F0401 \
	    --disable=W0102,W0141,W0142,W0201,W0212,W0221,W0223,W0231,W0232, \
	    --disable=W0401,W0511,W0603,W0613,W0614,W0621,W0622,W0703 \
	    --disable=C0103,C0111 \
	    trac tracopt

# ----------------------------------------------------------------------------
#
# Coverage related tasks
#
# (see http://nedbatchelder.com/code/coverage/)
#
# ----------------------------------------------------------------------------

.PHONY: coverage clean-coverage show-coverage

coverage: clean-coverage test-coverage show-coverage

clean-coverage:
	coverage erase
	@rm -fr htmlcov

ifdef test
test-coverage:
	coverage run $(test) $(testopts)
else
test-coverage: unit-test-coverage functional-test-coverage
endif

unit-test-coverage:
	coverage run -a $(coverageopts) trac/test.py --skip-functional-tests

functional-test-coverage:
	FIGLEAF='coverage run -a $(coverageopts)' python \
	    trac/tests/functional/testcases.py -v

show-coverage: htmlcov/index.html
	#coverage report

htmlcov/index.html:
	coverage html \
	    --omit=$(subst $(space),$(comma),$(wildcard trac/*/templates)),trac/templates

# ----------------------------------------------------------------------------
#
# Figleaf based coverage tasks
#
# (see http://darcs.idyll.org/~t/projects/figleaf/doc/)
#
# ** NOTE: there are still several issues with this **
#  - as soon as a DocTestSuite is run, figleaf gets confused
#  - functional-test-figleaf is broken (no .figleaf generated)
#
# ----------------------------------------------------------------------------

.PHONY: figleaf clean-figleaf show-figleaf

figleaf: clean-figleaf test-figleaf show-figleaf

clean-figleaf:
	rm -f .figleaf* *.figleaf
	rm -fr figleaf

show-figleaf: figleaf/index.html

figleaf/index.html: $(wildcard *.figleaf)
	figleaf2html \
	    --output-directory=figleaf \
	    --exclude-patterns=trac/tests/figleaf-exclude \
	    *.figleaf


.PHONY: test-figleaf  unit-test-figleaf functional-test-figleaf

test-figleaf: unit-test-figleaf functional-test-figleaf

unit-test-figleaf: unit-test.figleaf

functional-test-figleaf: functional-test.figleaf


functional-test.figleaf: Trac.egg-info
	rm -f .figleaf
	FIGLEAF=figleaf python trac/tests/functional/testcases.py -v
	@mv .figleaf $(@)

unit-test.figleaf: Trac.egg-info
	rm -f .figleaf
	figleaf trac/test.py --skip-functional-tests
	@mv .figleaf $(@)


# ----------------------------------------------------------------------------
#
# Tracd related tasks
#
# ----------------------------------------------------------------------------

## trac-ja-resource 0.12.2.ja1

=== debian/changelog ===
trac-ja-resource (0.12.2.ja1-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.3
  * Move repository to svn.debian.org
    - svn://svn.debian.org/svn/collab-maint/deb-maint/trac-ja-resource
  * dh_python2 transition
  * Change debian/copyright format
  * Change source format to 3.0 (quilt)

 -- Taku YASUI <tach@debian.org>  Sun, 01 Apr 2012 02:03:26 +0900

trac-ja-resource (0.12.2.ja1-0.1) unstable; urgency=low

  * Non-Maintainer upload with maintainer's ack
  * New upstream release (Closes: #637719)
  * debian/control
    - set "Depends: trac (>= 0.12.2), trac (<< 0.13)"

 -- Hideki Yamane <henrich@debian.org>  Mon, 30 Jan 2012 22:46:59 +0900

trac-ja-resource (0.11.5.ja1-1) unstable; urgency=low

  * New upstream release

 -- Taku YASUI <tach@debian.org>  Tue, 22 Sep 2009 00:13:45 +0900

trac-ja-resource (0.11.2.1.ja1-2) unstable; urgency=low

  * Change maintainer email address: tach@debian.org
  * Add debian/watch file
  * New style debian/copyright format

 -- Taku YASUI <tach@debian.org>  Tue, 21 Apr 2009 03:55:42 +0900

trac-ja-resource (0.11.2.1.ja1-1) unstable; urgency=low

  * New upstream release
    (closes: #493391, #418527)
  * New Standards-Version: 3.8.1
  * Update README.Debian.ja for New upstrem release

 -- Taku YASUI <tach@debian.or.jp>  Thu, 19 Mar 2009 02:24:53 +0900

trac-ja-resource (0.10.4-ja-1-2) unstable; urgency=low

  * Fix: 'NoneType' object has no attribute 'log' by
    debian/patches/10_t5387.dpatch
    - The patch is downloaded from
      http://trac.edgewall.org/attachment/ticket/5387/t5387.diff

 -- Taku YASUI <tach@debian.or.jp>  Mon, 21 Apr 2008 13:11:04 +0900

trac-ja-resource (0.10.4-ja-1-1) unstable; urgency=low

  * New upstream release

 -- Taku YASUI <tach@debian.or.jp>  Thu, 24 May 2007 12:32:24 +0900

trac-ja-resource (0.10.3.1-ja-1-2) unstable; urgency=low

  * Add some python scripts

 -- Taku YASUI <tach@debian.or.jp>  Wed, 16 May 2007 03:22:03 +0900

trac-ja-resource (0.10.3.1-ja-1-1) unstable; urgency=low

  * New upstream release
  * Add trac dependency
    - Bug#418527 has been fixed at unstable but not closed.
      Because it is not fixed at etch.

 -- Taku YASUI <tach@debian.or.jp>  Wed, 16 May 2007 02:31:24 +0900

trac-ja-resource (0.9-1-1) unstable; urgency=low

  * New upstream release

 -- Taku YASUI <tach@debian.or.jp>  Thu,  1 Dec 2005 01:37:47 +0900

trac-ja-resource (0.8.4-2-2) unstable; urgency=low

  * Add Depends: trac (<< 0.9) because of incompatibility

 -- Taku YASUI <tach@debian.or.jp>  Wed,  9 Nov 2005 02:44:09 +0900

trac-ja-resource (0.8.4-2-1) unstable; urgency=low

  * New upstream release
    - Upstream added COPYING.trac-ja file
  * Upload to debian archive
    (closes: #317247)
  * Change to use cdbs

 -- Taku YASUI <tach@debian.or.jp>  Tue, 27 Sep 2005 06:40:47 +0900

trac-ja-resource (0.8.4-1-1) unstable; urgency=low

  * New upstream release
  * Tried to upload to debian archive
    - Rejected because license file does not exist

 -- Taku YASUI <tach@debian.or.jp>  Sun, 10 Jul 2005 20:40:59 +0900

trac-ja-resource (0.8.1-1-0.1) unstable; urgency=low

  * Initial release

 -- Taku YASUI <tach@debian.or.jp>  Fri, 17 Jun 2005 13:34:03 +0900

=== debian/control ===
Source: trac-ja-resource
Section: web
Priority: optional
Maintainer: Taku YASUI <tach@debian.org>
Build-Depends: cdbs (>= 0.4.90), debhelper (>= 5.0.0), python (>= 2.6.6-3)
Homepage: http://www.i-act.co.jp/project/products/products.html
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/trac-ja-resource
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/trac-ja-resource

Package: trac-ja-resource
Architecture: all
Depends: trac (>= 0.12.2), trac (<< 0.13), ${misc:Depends}, ${python:Depends}
Description: Japanese resources for trac
 This package includes following Japanese resource for trac.
 .
   * Japanese web template
   * Japanese default wiki page
 .
 Trac uses a minimalistic approach to web-based software project management.
 Our mission; to help developers write great software while staying out of
 the way. Trac should impose as little as possible on a team's established
 development process and policies.

## trac-ja-resource 1.0.ja1

=== debian/changelog ===
trac-ja-resource (1.0.ja1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #718647)
    - adjust "Depends: trac (>= 1.0)"

 -- Hideki Yamane <henrich@debian.org>  Tue, 11 Feb 2014 12:47:22 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: trac-ja-resource
 Architecture: all
-Depends: trac (>= 0.12.2), trac (<< 0.13), ${misc:Depends}, ${python:Depends}
+Depends: trac (>= 1.0), ${misc:Depends}, ${python:Depends}
 Description: Japanese resources for trac
  This package includes following Japanese resource for trac.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_INSTALL_CHANGELOGS_ALL = ChangeLog.trac-ja

include /usr/share/cdbs/1/rules/debhelper.mk

install/trac-ja-resource::
	cp -r trac $(DEB_DESTDIR)/usr/share/trac-ja-resource/
	find $(DEB_DESTDIR)/usr/share/trac-ja-resource/trac -type f -print0 | xargs -r0 chmod 644
	rm -rf $(DEB_DESTDIR)/usr/share/trac-ja-resource/trac/htdocs
	install -m 755 debian/trac.cgi $(DEB_DESTDIR)/usr/share/trac-ja-resource/cgi-bin/trac.cgi
	install -m 755 debian/trac.fcgi $(DEB_DESTDIR)/usr/share/trac-ja-resource/cgi-bin/trac.fcgi
	install -m 755 debian/trac.wsgi $(DEB_DESTDIR)/usr/share/trac-ja-resource/cgi-bin/trac.wsgi
	ln -sf /usr/share/pyshared/trac/htdocs $(DEB_DESTDIR)/usr/share/trac-ja-resource/trac/htdocs

binary-install/trac-ja-resource::
	dh_python2 -p$(cdbs_curpkg)

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
# URL to the package page followed by a regex to search
http://www.i-act.co.jp/project/products/products.html   .*/Trac-v?(\d[ja\d_.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
